Page MenuHomePhabricator

[mips] Add backend support for Mips32r[35] and Mips64r[35].
ClosedPublic

Authored by dsanders on Feb 3 2015, 10:29 AM.

Details

Summary

These ISA's didn't add any instructions so they are almost identical to
Mips32r2 and Mips64r2. Even the ELF e_flags are the same, However the ISA
revision in .MIPS.abiflags is 3 or 5 respectively instead of 2.

Depends on D7376, D7377

Diff Detail

Event Timeline

dsanders updated this revision to Diff 19244.Feb 3 2015, 10:29 AM
dsanders retitled this revision from to [mips] Add backend support for Mips32r[35] and Mips64r[35]..
dsanders updated this object.
dsanders edited the test plan for this revision. (Show Details)
dsanders added a reviewer: vmedic.
dsanders added subscribers: atanasyan, Unknown Object (MLST).

Could you also update the tests for .set arch=X (set-arch.s) and .set mipsX (set-mips-directives.s and set-mips-directives-bad.s) ?

test/MC/Mips/mips64r3/abi-bad.s
8–10

These CHECK's won't do anything because of the whitespace before the colon.

test/MC/Mips/mips64r5/abi-bad.s
8–10

These CHECK's won't do anything because of the whitespace before the colon.

dsanders updated this revision to Diff 19486.Feb 6 2015, 8:33 AM

Fix test/MC/Mips/mips64r3/abi-bad.s and extended test/MC/Mips/set-mips-directives*.s

dsanders updated this revision to Diff 19487.Feb 6 2015, 8:36 AM

... and the other two abi-bad.s's

I believe you forgot to also update test/MC/Mips/set-arch.s.

dsanders updated this revision to Diff 19576.Feb 9 2015, 5:32 AM

Update test/MC/Mips/set-arch.s

vmedic accepted this revision.Feb 18 2015, 7:49 AM
vmedic edited edge metadata.

LGTM

This revision is now accepted and ready to land.Feb 18 2015, 7:49 AM
dsanders closed this revision.Feb 18 2015, 8:26 AM